Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
mesa opengl version not 3.1, KDE desktop effects messed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
lvii
n00b
n00b


Joined: 28 May 2012
Posts: 16

PostPosted: Sun Feb 23, 2014 8:26 am    Post subject: mesa opengl version not 3.1, KDE desktop effects messed Reply with quote

---


my home laptop gentoo, OpengGl version was 1.4, so KDE desktop effects messed.

Code:

OpenGL vendor string:                   Intel Open Source Technology Center
OpenGL renderer string:                 Mesa DRI Intel(R) Ivybridge Mobile
OpenGL version string:                  1.4 (3.0 Mesa 9.1.6)
Driver:                                 Intel
GPU class:                              IvyBridge
OpenGL version:                         1.4
Mesa version:                           9.1.6
X server version:                       1.14.3
Linux kernel version:                   3.10.7
Direct rendering:                       no
Requires strict binding:                no
GLSL shaders:                           no
Texture NPOT support:                   yes
Virtual Machine:                        no


user was in video group.

Code:

gentoo ~ # groups ink
audio video plugdev ink


I had try remove '-bindist' USE, remerge mesa package, but not worked.

Code:

gentoo ~ # emerge -avj mesa

[ebuild   R    ] media-libs/mesa-9.1.6  USE="classic egl gallium llvm nptl shared-glapi -bindist* -debug -gbm -gles1 -gles2 -openvg -osmesa -pax_kernel -pic (-r600-llvm-compiler) (-selinux)     -vdpau -wayland -xa -xorg -xvmc" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" VIDEO_CARDS="i965 intel -i915 -nouveau -r100 -r200 -r300 -r600 -radeon (-radeonsi) -vmware" 0 kB


this was my mesa / qtgraphicssystem eselect:

Code:

gentoo ~ # eselect mesa list
i915 (Intel 915, 945)
  [1]   gallium *
i965 (Intel 965, G/Q3x, G/Q4x)
  [1]   classic *
r300 (Radeon R300-R500)
r600 (Radeon R600-R700, Evergreen, Northern Islands)
sw (Software renderer)
  [1]   classic
  [2]   gallium *

gentoo ~ # sudo eselect qtgraphicssystem list
Available Qt Graphics Systems:
  [1]   native
  [2]   opengl (experimental) *
  [3]   raster (default)


my office laptop, mesa opengl version was 3.1, KDE desktop effects work nice.

Code:

OpenGL vendor string:                   Intel Open Source Technology Center
OpenGL renderer string:                 Mesa DRI Intel(R) Ivybridge Mobile·
OpenGL version string:                  3.1 (Core Profile) Mesa 9.1.6
OpenGL shading language version string: 1.40
Driver:                                 Intel
GPU class:                              IvyBridge
OpenGL version:                         3.1
GLSL version:                           1.40
Mesa version:                           9.1.6
X server version:                       1.14.3
Linux kernel version:                   3.10.25
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes
Virtual Machine:                        no


how could I make the mesa opengl version become 3.1, thanks


---
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2539
Location: Near Toronto

PostPosted: Sun Feb 23, 2014 1:53 pm    Post subject: Reply with quote

isn't KDE opengl setting done via systemsettings?

my laptop glxinfo reports opengl 1.4 version but
KDE systemsettings is set for opengl 3.1

effects work very well
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
lvii
n00b
n00b


Joined: 28 May 2012
Posts: 16

PostPosted: Sun Feb 23, 2014 4:31 pm    Post subject: Reply with quote

kde4 system setting default value:

compositing type: opengl 2.0
qt graphics system: raster

after I change to opengl 3.1 the KDE desktop effect crash:

Quote:
OpenGL compositing (the default) has crashed KWin in the past.
This was most likely due to a driver bug.

If you think that you have meanwhile upgraded to a stable driver,
you can reset this protection but be aware that this might result in an immediate crash!
Alternatively, you might want to use the XRender backend instead.


change qt graphics system to : native

the KDE desktop effects was messed. some widget become black block sometimes. the blur effect was not work.
Back to top
View user's profile Send private message
lvii
n00b
n00b


Joined: 28 May 2012
Posts: 16

PostPosted: Sun Feb 23, 2014 4:34 pm    Post subject: Reply with quote

my office laptop and home laptop were the same thinkpad x230. CPU and video card are same too.

I don't know why the mesa opengl type was different. how could I to set the opengl version to 3.1 not 1.4.
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2539
Location: Near Toronto

PostPosted: Sun Feb 23, 2014 5:02 pm    Post subject: Reply with quote

I was getting similar crashes and failures of effects to work
properly

my solution was to use **stable** mesa (9.1.6) and xorg-server
(1.14.3-r2) and intel-video-driver (2.21.15)

my video card is Haswell-ULT Integrated Graphics Controller on
thinkpad T440S
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum